#form-container {
    container-type: inline-size;
    width: clamp(320px, 32vw, 800px); 
    border-radius: 10px;
    display: grid;
    justify-content: center;
    padding: 1vh;
    background-color: var(--color-A);
    margin-top: 2vh;
    margin-bottom: 5vh;
    filter: drop-shadow(rgb(0, 0, 0) 0px 5px 10px);
    text-shadow: 0 0px 30px white;
}

form {
    text-align: left;
    align-items: center;
    width: 90%;
    margin-left: 5%;
    margin-top: 5%;
    margin-bottom: 5%;
}

input[type=text] {
    width: 100%;
    height: 2em;
    border-radius: 5px;
    margin-bottom: 0.5em;
    padding: 0.5em;
    font-size: 1em;
    font-family: bodyFont;

    &.city {
    width: 100%;
    }
    -webkit-appearance: none;
    appearance: none;

    &.state {
    width: 60%;
    }

    &.zip {
    width: 60%;
    }

    &.phone {
    width: 60%;
    margin-bottom: 1em;
    }
}

input[type=checkbox] {
    height: 1.5vw;
    width: 1.5vw;
    min-height: 20px;
    min-width: 20px;
    accent-color:var(--color-B);
    cursor: pointer;
}

textarea {
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    height: 10em;
    border-radius: 5px;
    resize: none;
    padding: 0.5em;
    font-size: 1em;
    font-family: bodyFont;
}

input[type=submit] {
    -webkit-appearance: none;
    appearance: none;
    height: 3em;
    margin-top: 1em;
    width: 100%;
    cursor: pointer;
    }

#submitMsg {
  width: 50cqw;
  min-width: 300px;
  padding: 2cqw;
  border-radius: 10px;
  margin-bottom: 5vh;
  filter: drop-shadow(black 0px 5px 10px);
  background-color: var(--color-B);
  font-size: 1.1em;
  font-weight: 500;
}